## yaru-theme 24.04.2-0ubuntu1

=== debian/control ===
Source: yaru-theme
Section: misc
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-migrations,
Build-Depends-Indep: libglib2.0-dev,
                     meson (>= 0.59),
                     libxml2-utils,
                     sassc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://community.ubuntu.com/c/desktop/theme-refresh
Vcs-Browser: https://github.com/ubuntu/yaru
Vcs-Git: https://github.com/ubuntu/yaru.git

Package: yaru-theme-gnome-shell
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: gnome-shell (<< 46~)
Description: Yaru GNOME Shell desktop theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the GNOME Shell theme part
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-gtk
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-themes-extra,
         gtk2-engines-pixbuf,
         gtk2-engines-murrine,
         libglib2.0-bin,
Description: Yaru GTK theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the GTK+ 2 and 3 theme parts
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-icon
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: gnome-shell-extension-ubuntu-dock (<< 90~)
Description: Yaru icon theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the icon theme
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-sound
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Yaru sound theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the sound theme
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-unity
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Yaru Unity theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the Unity theme parts
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

## yaru-theme 24.04.3

=== meson_options.txt ===
option('icons', type: 'boolean', value: true, description:'build icons component')
option('gnome-shell', type: 'boolean', value: true, description:'build gnome-shell component')
option('gnome-shell-default-variant', type: 'string', value: 'light', description:'default variant to be used for gnome-shell')
option('gnome-shell-default-high-contrast-variant', type: 'string', value: 'blue-dark', description:'default variant to be used for gnome-shell high contrast')
option('gnome-shell-gresource', type: 'boolean', value: false, description: 'build gnome-shell component in gresources')
option('gnome-shell-user-themes-support', type: 'feature', value: 'auto', description: 'install gnome-shell uncompressed CSS themes as User Themes expects')
option('gdm-default-variant', type: 'string', value: 'dark', description:'default variant to be used in GDM')
option('gtk', type: 'boolean', value: true, description:'build gtk component')
option('gtksourceview', type: 'boolean', value: true, description:'build gtksourceview component')
option('metacity', type: 'boolean', value: true, description:'build metacity component')
option('sounds', type: 'boolean', value: true, description:'build sounds component')
option('sessions', type: 'boolean', value: true, description:'build sessions component')
option('cinnamon-shell', type: 'boolean', value: false, description:'build cinnamon component')

option('default', type: 'boolean', value: true, description:'build Yaru default flavour')
option('dark', type: 'boolean', value: true, description:'build Yaru dark flavour')
option('mate', type: 'boolean', value: false, description:'build Yaru mate flavour')
option('mate-dark', type: 'boolean', value: false, description:'build Yaru mate-dark flavour')
option('ubuntu-unity', type: 'boolean', value: false, description:'build Yaru with Unity assets')
option('xfwm4', type: 'boolean', value: false, description:'build Yaru with xfwm4 assets')
option('cinnamon', type: 'boolean', value: false, description:'build Yaru with Cinnamon flavour')
option('cinnamon-dark', type: 'boolean', value: false, description:'build Yaru with Cinnamon dark flavour')

# We use the dark flat above to do the dark variants of them
option('accent-colors',
    type: 'array',
    choices: [
        'bark',
        'sage',
        'olive',
        'viridian',
        'prussiangreen',
        'blue',
        'purple',
        'magenta',
        'red',
    ],
)

=== debian/changelog ===
yaru-theme (24.04.3-1) unstable; urgency=high

  * Team upload
  * New upstream release
  * Copy changes from Ubuntu:
    - Add Build-Depends: libxml2-utils
    - Have yaru-theme-gnome-shell break gnome-shell << 46
    - Update yaru-theme-gtk.install
    - Add debian/README.source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Jul 2024 10:39:40 -0400

yaru-theme (23.04.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #1037321).
  * debian/patches:
    + Add 1001_reproducible-builds.patch. Thanks to Chris Lamb for providing
      the patch. (Closes: #1012792).
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 13:56:46 +0200

## yaru-theme 24.04.3-0ubuntu1

=== debian/changelog ===
yaru-theme (24.04.3-0ubuntu1) oracular; urgency=medium

  [ Thomas Staudinger ]
  * gtksourceview: Add support for new libgedit-gtksourceview xml scheme
    The `kind` attribute is now mandatory, `version` and `underline-color`
    removed

  [ Marco Trevisan (Treviño) ]
  * gnome-shell/login-lock: Fix QRCode dialog colors when using light theme
    (LP: #2067661)
  * gnome-shell/login-lock: Use proper background qrcode colors in light mode
    (LP: #2067661)
  * gnome-shell: Use ubuntu mono for monospace
  * gnome-shell: Sync fixes from gnome-46 branch:
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/7488
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/7400
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/6024
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/7628
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/7511
      https://gitlab.gnome.org/GNOME/gnome-shell-extensions/-/issues/507
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/7620

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 Jun 2024 02:16:01 +0200

yaru-theme (24.04.2-0ubuntu1) noble; urgency=medium

  * calendar: Use the same border radius we use for quicksettings
    (LP: #2062388)
  * gnome-shell/dock: Tune the icon selection colors (LP: #2061729)
  * gnome-shell: Use our dash color as the system overlay bg color
    (LP: #2062121)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Apr 2024 19:06:05 +0200

yaru-theme (24.04.1-0ubuntu1) noble; urgency=medium

  [ Muqtadir ]
  * Sync with `org.gnome.Settings` symbolic icons changes
  * add org.gnome.Nautilus* symbolic icons and revert app-grid icon
    (LP: #2062046)

  [ Muqtxdir ]
  * add @ubuntujaggers refined app-center fullcolor icon (no visual changes)

  [ Marco Trevisan (Treviño) ]
  * gtk/common: Sync with upstream fixes
  * icons: Remove start-here-symbolic symlink that was breaking view-app-grid.
  * icons: Add view-app-grid-ubuntu-symbolic symlink to start-here
    (LP: #2060816).
  * gnome-shell/dock: Use more visible background on highlighted icons
    (LP: #2061729)
  * gnome-shell/dock: Draw focused icons with highlight background
    (LP: #2062044)
  * icons: Re-render icons and regenerate symlinks
  * debian/control: Add Breaks on ubuntu-dock << 90~
    It doesn't really break it but if we'd release this version of the icon
    theme before of the new dock, we'd end up changing the dock's show-apps
    icon, breaking the UI freeze (related to lp:2060816).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 17 Apr 2024 21:44:55 +0200

yaru-theme (24.04.0-0ubuntu1) noble; urgency=medium

  [ Paul Kepinski ]
  * Change upstream gnome-usage branch to main
  * Sync icon theme with upstream
  * Revert panel height to upstream
  * Gnome Shell upstream sync
  * GS: fix entries colors
  * Revert progress color to pure accent
  * GS: fix slider height
  * Fix looking glass extensions cards
  * yaru_icons.dart sync

  [ Marco Trevisan (Treviño) ]
  * New upstream snapshot for GNOME Shell
  * gtk: Sync with upstream changes
  * gnome-shell/data: Sync icons with gnome-shell 46
  * gnome-shell/data: Strip blanks from icons svgs
  * gnome-shell: Add dark/light variants for process-working icon
  * gnome-shell/meson: add xml-stripblanks pre-process for svg icons
  * gnome-shell: Merge with upstream changes for GNOME 46
  * gnome-shell/dock: Merge with some remaining upstream changes
  * gnome-shell/dock: Override the dash theming to use the dock color on items
  * gnome-shell/search-entry: Fix invisible hint text in light themes
  * gnome-shell/looking-glass: Drop unused changes
  * debian/control: Mark as breaking gnome-shells earlier than 46
  * gnome-shell/colorable-assets: Update with upstream assets
  * gnome-shell: Include styles for multiple login system support
  * gnome-shell: Fix insensitive button bg in lockscreen with light themes

  [ Jeremy Bícha ]
  * gtksourceview: Support gedit's forked library
  * Update deb packaging for libgedit-gtksourceview

  [ Daniel van Vugt ]
  * gnome-shell: Don't give login-dialog another background-color

  [ Sergio Costas ]
  * Update Yaru to new Dash-to-Dock code
  * Add extra changes from DashToDock
  * Fix apps view

  [ Feichtmeier ]
  * New upstream symbolic icons list for gnome-usage symbolics

  [ Jupi007 ]
  * icons: Optimize symbolic icons

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 22 Mar 2024 10:01:18 +0100

## yaru-theme 24.10.4-0ubuntu1

=== meson_options.txt ===
--- 
+++ 
@@ -34,5 +34,18 @@
         'purple',
         'magenta',
         'red',
+        'yellow',
+        'wartybrown',
     ],
+    value: [
+        'sage',
+        'olive',
+        'prussiangreen',
+        'blue',
+        'purple',
+        'magenta',
+        'red',
+        'yellow',
+        'wartybrown',
+    ]
 )

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-migrations,
 Build-Depends-Indep: libglib2.0-dev,
-                     meson (>= 0.59),
+                     meson (>= 0.60),
                      libxml2-utils,
                      sassc,
 Standards-Version: 4.6.2

## yaru-theme 25.04.1

=== debian/changelog ===
yaru-theme (25.04.1-1) unstable; urgency=high

  * Team upload
  * New upstream release, compatible with GNOME Shell 48 (Closes: #1100949)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 18:57:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: yaru-theme
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+Maintainer: Debian Desktop Theme Team <yaru-theme@packages.debian.org>
+Uploaders: Martin Wimpress <code@flexion.org>,
+           Mike Gabriel <sunweaver@debian.org>,
+           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-migrations,
+#               dh-migrations,
 Build-Depends-Indep: libglib2.0-dev,
-                     meson (>= 0.60),
                      libxml2-utils,
+                     meson (>= 0.59),
                      sassc,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://community.ubuntu.com/c/desktop/theme-refresh
-Vcs-Browser: https://github.com/ubuntu/yaru
-Vcs-Git: https://github.com/ubuntu/yaru.git
+Homepage: https://github.com/ubuntu/yaru
+Vcs-Browser: https://salsa.debian.org/desktop-themes-team/yaru-theme
+Vcs-Git: https://salsa.debian.org/desktop-themes-team/yaru-theme.git
 
 Package: yaru-theme-gnome-shell
 Architecture: all
@@ -49,7 +52,6 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: gnome-shell-extension-ubuntu-dock (<< 90~)
 Description: Yaru icon theme from the Ubuntu Community
  This is the theme, better than a burrito, that is shaped by the community
  on the Ubuntu discourse.

## yaru-theme 25.04.1-0ubuntu1

=== debian/changelog ===
yaru-theme (25.04.1-0ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * gnome-shell: Add missing keyboard-zwnj-symbolic icon
  * ci: Use minimal configuration for rendering icons
  * ci: Install base theme to make inkscape work
  * icons/render-bitmaps: Do not fail if directory exists already
  * ci: Enable GTK theme for rendering
  * ci: Install hub from sources instead of using a precompiled binary
  * ci: Run track-lp-issues job also on script changes
  * ci: Drop the in-house action to build deb files, reusing desktop team one
  * common: Generalize the yaru variants computation
  * gtk: Use meson native features to rename configured files
  * common/accent-colors: Use same contrast target as in libadwaita
  * cleanup: Remove warty nostalgia special theming
  * gnome-shell: Use upstream -st-accent-color
  * gnome-shell-colors: Reduce the delta with upstream default values
  * gnome-shell: Simplify colors code by just overriding what we need
  * debian: Bump breaks on gnome-shell lower than 47
  * icons: Add power saving icon symlink for control center
  * gnome-shell: Merge with GNOME 48 changes (LP: #2102051)
  * gnome-shell/keyboard: Simplify the logic to support light theme
  * gnome-shell: Add new symbolic icons and adapt naming (LP: #2101836)
  * debian/control: Bump breaks to gnome-shell 47
  * gnome-shell: Drop the custom yaru spinner icon
  * icons: Optimize symbolic icons
  * icons: Update rendered icons and symlinks

  [ walangpart2 ]
  * Added redesigned org.gnome.Software icon
  * Created org.gnome.Snapshot Link Targetting the camera-app icon.
  * Proposal: Small Change to Zipper Styled Mimetypes
  * Yarufy EarTag Icon

  [ Paul Kepinski ]
  * GnomeShell: Yaruify upstream icons

  [ Muqtadir ]
  * misc: tweak recent fullcolor icons
  * ci: add missing deps for build sequence

  [ Tobias Rapp ]
  * icons: Add mimetype icon for Typst source files

  [ ochi12 ]
  * adjusted radius and on-click color for notification banner. Response to issue #4082
  * included onclick color adjustment to light theme as well
  * Added symlink for context:categories named org.gnome.Settings-screen-lock-symbolic.svg to suppliment icon falling back to hi color on gnome-control-center under 'Privacy & security'/'Screen Lock'
  * Added symlink for context:categories named org.gnome.Settings-network-workgroup-symbolic.svg to suppliment icon falling back to hicolor on gnome-control-center under 'Privacy & security'/'Connectivity'
  * added missing emblem icons for Nautilus
  * Edited generate-symlinks.sh to include context . Added org.gnome.Nautilus.list. Linked nautilus-file-chooser-options-symbolic.svg -> nautilus-search-filters-symbolic.svg
  * added missing document-admin-symbolic.svg for Text Editor
  * added missing cameras-symbolic.svg for Gnome Snapshot
  * added missing camera-timer-symbolic.svg for Gnome Snapshot
  * Yarufy Sysprof app fullcolor and app symbolic with accent support.
  * reworked Sysprof destop icon to fit on smaller sizes
  * added missing symbolic icons for sysprof
  * Added Epiphany's Missing Yaru Symbolics
  * reworked the library icon for epiphany

  [ ubuntujaggers ]
  * Some smaller square icons

  [ Alessandro Astone ]
  * debian: Suggest humanity-icon-theme

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Mar 2025 02:53:01 +0100

yaru-theme (24.10.4-0ubuntu1) oracular; urgency=medium

  [ Paul Kepinski ]
  * Update gnome-system-monitor symbolics
  * Update gnome-calendar symbolics
  * Update gnome-control-center symbolics
  * Update gnome-software symbolics

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * gnome-shell: Use button style for auth dialog list items (LP: #2080321)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Sep 2024 05:13:48 +0200

yaru-theme (24.10.3-0ubuntu1) oracular; urgency=medium

  * New upstream version
  * icons: Update rendered icons and symlinks
  * gnome-shell: Sync dock theming with upstream
  * gnome-shell/dock: Use the same style for the notification badges in overview
  * gnome-shell/dock: Move the progress bar at the bottom of the icon
  * gnome-shell/slider: Drop yaru customization as border is not not supported
  * gnome-shell/slider: Use lighter color for the handler on light themes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 07 Sep 2024 02:45:49 +0200

yaru-theme (24.10.2-0ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Upload to oracular
  * gtk: Sync with upstream scale marks fixes
  * gtk: Sync default wm colors with upstream
  * build: Depend on meson 0.60
  * debian/accent-color-migration: Actually reset the theme
  * common: Generalize warty nostalgia theme detection
  * accent-colors: Ensure accent color has the right contrast
  * icons: Regenerate assets with proper contrasting colors
  * accent-color: Define the warty bg color globally
  * gtk: Use the warty bg color
  * icons: Add GNOME shell captive portal symbolic icon
  * gnome-shell: Use CSS-based checkbox mark
  * gnome-shell: Sync upstream changes
  * gnome-shell: Use CSS-based switches
  * gnome-shell: Remove support for colorable assets
  * gnome-shell: Merge with non-accent color related upstream changes
  * gtk: Sync with upstream scale marks fixes
  * gtk: Sync default wm colors with upstream
  * debian/control: Depend on meson 0.60
  * debian/accent-color-migration: Actually reset the theme
  * common: Generalize warty nostalgia theme detection
  * accent-colors: Ensure accent color has the right contrast
  * icons: Regenerate assets with proper contrasting colors
  * accent-color: Define the warty bg color globally
  * gtk: Use the warty bg color
  * icons: Add GNOME shell captive portal symbolic icon
  * gnome-shell: Use CSS-based checkbox mark
  * gnome-shell: Sync upstream changes
  * gnome-shell: Use CSS-based switches
  * gnome-shell: Remove support for colorable assets
  * gnome-shell: Merge with non-accent color related upstream changes


## yaru-theme 25.10.1-0ubuntu1

=== debian/changelog ===
yaru-theme (25.10.1-0ubuntu1) questing; urgency=medium

  [ walangpart2 ]
  * modified dock radii

  [ Vincent Renzo Quilon ]
  * Icon For Papers
  * Add missing icons for gnome Papers
  * Add symbolic icons for Loupe

  [ ubuntujaggers ]
  * Quite a few more smaller square icons

  [ Marco Trevisan (Treviño) ]
  * gtk-4/tweaks: Actually override the default windowcontrols definition
    (LP: #2107388)
  * gnome-shell: Use upstream a11y icon
  * gtk/gtk-4.0: Sync upstream changes
  * gnome-shell/upstream: Sync with ubuntu fork
  * gnome-shell: Sync with upstream changes

  [ ochi12 ]
  * added infinity-symbolic
  * addition: fixed timer-symbolic and derived for caffeine timer symbolic
    components
  * final changes to timer-*-symbolic icons

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jul 2025 06:00:54 +0200

yaru-theme (25.04.2-0ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * gtk/common: Sync with window controls upstream changes (LP: #2107388)
  * tweaks: Adapt to window controls adjustments the upstream changes
    (LP: #2107388)
  * tweaks: Set proper size for window controls buttons (LP: #2106784)
  * gtk/tweaks: Use window controls padding and margins to be consistent with
    libadwaita (LP: #2106784)
  * gtk/meson: Fix parsing of accent and accent-optimized color codes
    (LP: #2107420)
  * gtk-2.0: Add wartybrown accented theme and assets (LP: #2107421)
    We didn't generate these assets, so some elements of the theme were not
    consistent with the actual accent, but more importantly when using the
    dark mode, the applications were close to unusable.
    Thus the huge diff, as we had to re-generate the theme assets for the
    accent.
    The assets and theme definitions are actually not new, so there's no UI
    change involved, they are just the same assets we ship for all the other
    accents, but rendered with the wartybrown color.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Apr 2025 03:47:08 +0200

## yaru-theme 25.10.2-0ubuntu1

=== debian/changelog ===
yaru-theme (25.10.2-0ubuntu1) questing; urgency=medium

  [ Vincent Renzo Quilon ]
  * Added missing cog-wheel-symbolic icon for gnome settings
  * Added missing bluetooth-acquiring-symbolic icon
  * Added revamped user trash icon
  * Add Gnome Builder Icon
  * Sync with upstream battery-level-*-plugged-in-symbolic.svg
  * Chore: Improve and Sync Wi-Fi Encrypted Indicator Icons
  * Added applications-other full color symlink files for cinnamon and mate
  * Added symlink files named logout-symbolic and alacarte-symbolic
  * Added preferences-desktop-screensaver fullcolor icons for mate and cinnamon
  * Finalize Loupe fullcolor icon:
    - replace symlink target to direct target named org.gnome.Loupe.png
    - removed initially added source svg. -
    - removed symlink entry
  * Added Gnome Software Minor Fixes:
    - Matched Pictogram Colors to Yaru Palette
    - Improved string handle visibility of the paper bag template
  * fixed 24-sized icons
  * Ptyxis: Add Missing Full Color and Symbolic Icons
  * Initial revamp watch standby and watch progress
  * fixed jitter issue in watch.ani by correcting watch.in typo in last line
  * generated watch and wait ani for x11 and w32 with no jitter issue
  * updated left_ptr_watch: use solid spinner bg instead of gradient to reduce
    noise small size
  * gnome-shell: reworked prompt dialog padding and border-radius
  * adjusted radii of login entry

  [ Paul Kepinski ]
  * fix(icons): fix workscape-switcher-* icon-name in source file
  * Sync GTK3 with upstream
  * feat(GnomeShell): Yaruify accessibility icons
  * Sync icon theme with upstream

  [ Daniel van Vugt ]
  * Add gnome-shell 49.beta icons (LP: #2120869)

  [ Adrien Manlay ]
  * add: toml, csv mimetype icons
  * fix: yaml mimetype icon

  [ ubuntujaggers ]
  * new icon to be used for firmware-updater

  [ Marco Trevisan (Treviño) ]
  * gnome-shell/upstream: Sync with ubuntu branch
  * gnome-shell: Sync with upstream changes
  * build: Release yaru 25.10.2
  * debian/control: Add breaks on gnome-shell << 49~

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Sep 2025 04:35:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,24 @@
 Source: yaru-theme
 Section: misc
 Priority: optional
-Maintainer: Debian Desktop Theme Team <yaru-theme@packages.debian.org>
-Uploaders: Martin Wimpress <code@flexion.org>,
-           Mike Gabriel <sunweaver@debian.org>,
-           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-#               dh-migrations,
+               dh-migrations,
 Build-Depends-Indep: libglib2.0-dev,
+                     meson (>= 0.60),
                      libxml2-utils,
-                     meson (>= 0.59),
                      sassc,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/ubuntu/yaru
-Vcs-Browser: https://salsa.debian.org/desktop-themes-team/yaru-theme
-Vcs-Git: https://salsa.debian.org/desktop-themes-team/yaru-theme.git
+Homepage: https://community.ubuntu.com/c/desktop/theme-refresh
+Vcs-Browser: https://github.com/ubuntu/yaru
+Vcs-Git: https://github.com/ubuntu/yaru.git
 
 Package: yaru-theme-gnome-shell
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: gnome-shell (<< 46~)
+Breaks: gnome-shell (<< 49~)
 Description: Yaru GNOME Shell desktop theme from the Ubuntu Community
  This is the theme, better than a burrito, that is shaped by the community
  on the Ubuntu discourse.
@@ -52,6 +49,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+Suggests: humanity-icon-theme,
+Breaks: gnome-shell-extension-ubuntu-dock (<< 90~)
 Description: Yaru icon theme from the Ubuntu Community
  This is the theme, better than a burrito, that is shaped by the community
  on the Ubuntu discourse.

## yaru-theme 25.10.3

=== meson_options.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 option('icons', type: 'boolean', value: true, description:'build icons component')
 option('gnome-shell', type: 'boolean', value: true, description:'build gnome-shell component')
-option('gnome-shell-default-variant', type: 'string', value: 'light', description:'default variant to be used for gnome-shell')
-option('gnome-shell-default-high-contrast-variant', type: 'string', value: 'blue-dark', description:'default variant to be used for gnome-shell high contrast')
+option('gnome-shell-default-high-contrast-variant', type: 'string', value: 'dark', description:'default variant to be used for gnome-shell high contrast')
 option('gnome-shell-gresource', type: 'boolean', value: false, description: 'build gnome-shell component in gresources')
 option('gnome-shell-user-themes-support', type: 'feature', value: 'auto', description: 'install gnome-shell uncompressed CSS themes as User Themes expects')
 option('gdm-default-variant', type: 'string', value: 'dark', description:'default variant to be used in GDM')

=== debian/changelog ===
yaru-theme (25.10.3-3) unstable; urgency=medium

  * Team upload
  * Fix typo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 14:30:13 -0500

yaru-theme (25.10.3-2) unstable; urgency=medium

  * Team upload
  * Remove GTK2 dependencies and GTK2 theme

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 13:55:18 -0500

yaru-theme (25.10.3-1) unstable; urgency=high

  * Team upload
  * New upstream release, compatible with GNOME Shell 49
  * Break gnome-shell versions older than 49
  * Update yaru-theme-gtk description to mention GTK 4
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 20:35:53 -0500

=== debian/control ===
Source: yaru-theme
Section: misc
Priority: optional
Maintainer: Debian Desktop Theme Team <yaru-theme@packages.debian.org>
Uploaders: Martin Wimpress <code@flexion.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Build-Depends: debhelper-compat (= 13),
Build-Depends-Indep: libglib2.0-dev,
                     libxml2-utils,
                     meson (>= 0.59),
                     sassc,
Standards-Version: 4.7.2
Homepage: https://github.com/ubuntu/yaru
Vcs-Browser: https://salsa.debian.org/desktop-themes-team/yaru-theme
Vcs-Git: https://salsa.debian.org/desktop-themes-team/yaru-theme.git

Package: yaru-theme-gnome-shell
Architecture: all
Depends: ${misc:Depends},
Breaks: gnome-shell (<< 49~)
Description: Yaru GNOME Shell desktop theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the GNOME Shell theme part
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-gtk
Architecture: all
Depends: ${misc:Depends},
         libglib2.0-bin,
Description: Yaru GTK theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the GTK 3 and GTK 4 theme parts
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-icon
Architecture: all
Depends: ${misc:Depends},
Description: Yaru icon theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the icon theme
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-sound
Architecture: all
Depends: ${misc:Depends},
Description: Yaru sound theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the sound theme
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

Package: yaru-theme-unity
Architecture: all
Depends: ${misc:Depends},
Description: Yaru Unity theme from the Ubuntu Community
 This is the theme, better than a burrito, that is shaped by the community
 on the Ubuntu discourse.
 .
 This package contains the Unity theme parts
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgnome-shell-gresource=true \
		-Dgnome-shell-user-themes-support=enabled \
		-Dubuntu-unity=true \
		-Dsessions=false \
		-Dxfwm4=true

execute_before_dh_install:
	rm -rf debian/tmp/usr/share/themes/*/gtk-2.0

## yaru-theme 25.10.3-0ubuntu1

=== debian/changelog ===
yaru-theme (25.10.3-0ubuntu1) questing; urgency=medium

  [ ochi12 ]
  * Fix: Adjust 48×48px calculator-app pictogram thickness to match proportions
    of other sizes (not visible change)

  [ Marco Trevisan (Treviño) ]
  * gnome-shell: Optimize contrast for warning, success and destructive texts
    (LP: #2126731)
  * debian/control: Fix gtk package description (LP: #2081059)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 03 Oct 2025 06:05:14 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=meson --with migrations

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgnome-shell-gresource=true \
		-Dgnome-shell-user-themes-support=enabled \
		-Dubuntu-unity=true \
		-Dsessions=false \
		-Dxfwm4=true
